function Prolong = Test_Prolong

mesh=uniform_0(3);

% node =[0 0;1 0;0 1];
% elem=[1 2 3 -1];
% Dirichlet=[1 2;2 3; 3 1];
% Neumann=[];
% mesh=Initial_FEM_matlab(node,elem,Dirichlet,Neumann);


solu = mesh.node(:,2);
solu0= mesh.node(:,2);
Nr_elem = size(mesh.elem,1);
mesh.owner = [1:Nr_elem]';
mesh.elemlocalnode = ones(Nr_elem,1)*[1 0 0 0 1 0 0 0 1];

Base = Lagrange_basis_function(1);
[mesh,solu,Prolong]=refinement(mesh,solu,Base);

showFefunction(mesh,Prolong*solu0)


